## kdeartwork 4.4.5

=== CMakeLists.txt ===
project(kdeartwork)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )

# search packages used by KDE
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS} )
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})


macro_optional_add_subdirectory(ColorSchemes)
macro_optional_add_subdirectory(IconThemes)
macro_optional_add_subdirectory(emoticons)
if (Q_WS_X11)
   macro_optional_add_subdirectory(kscreensaver)
   message(STATUS "Remember to readd kwin-style when ported")
   #macro_optional_add_subdirectory(kwin-styles)
endif (Q_WS_X11)

macro_optional_add_subdirectory(sounds)
macro_optional_add_subdirectory(styles)
macro_optional_add_subdirectory(wallpapers)
macro_optional_add_subdirectory(HighResolutionWallpapers)
macro_optional_add_subdirectory(WeatherWallpapers)
macro_optional_add_subdirectory(desktopthemes)

macro_display_feature_log()

=== WeatherWallpapers/CMakeLists.txt ===
install(DIRECTORY At_Night DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)
install(DIRECTORY Beach_Reflecting_Clouds DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)
install(DIRECTORY Icy_Tree DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)
install(DIRECTORY JK_Bridge_at_Night DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)
install(DIRECTORY Lightning DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)
install(DIRECTORY Winter_Track DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

=== sounds/CMakeLists.txt ===

install( FILES KDE_Logout_new.wav  KDE_Startup_new.wav  DESTINATION  ${SOUND_INSTALL_DIR} )

=== desktopthemes/Silicon/CMakeLists.txt ===

install(FILES colors metadata.desktop DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/Silicon/)

FILE(GLOB widgets widgets/*.svgz)
install( FILES ${widgets} DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/Silicon/widgets/ )

FILE(GLOB dialogs dialogs/*.svgz)
install( FILES ${dialogs} DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/Silicon/dialogs/ )

FILE(GLOB opaque opaque/widgets/*.svgz)
install( FILES ${opaque} DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/Silicon/opaque/widgets/ )

FILE(GLOB opaque opaque/dialogs/*.svgz)
install( FILES ${opaque} DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/Silicon/opaque/dialogs/ )

=== desktopthemes/slim-glow/CMakeLists.txt ===

install(FILES colors metadata.desktop LICENSE DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/slim-glow/)

FILE(GLOB widgets widgets/*.svgz)
install( FILES ${widgets} DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/slim-glow/widgets/ )

FILE(GLOB dialogs dialogs/*.svgz)
install( FILES ${dialogs} DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/slim-glow/dialogs/ )

FILE(GLOB opaque opaque/widgets/*.svgz)
install( FILES ${opaque} DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/slim-glow/opaque/widgets/ )

FILE(GLOB opaque opaque/dialogs/*.svgz)
install( FILES ${opaque} DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/slim-glow/opaque/dialogs/ )

# FILE(GLOB lancelot lancelot/*.svgz)
# install( FILES ${lancelot} DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/slim-glow/lancelot/ )
  #install(FILES lancelot/theme.config DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/slim-glow/lancelot/ )

=== emoticons/KMess/CMakeLists.txt ===

install( FILES emoticons.xml  angel.png angry.png bat.png  beer.png boy.png cake.png  camera.png cat.png clock.png  cocktail.png confused.png cry.png  cup.png devil.png dog.png  dude_hug.png embarassed.png email.png  film.png girl.png girl_hug.png  kiss.png lightbulb.png love.png  messenger.png note.png  omg.png phone.png present.png  rose.png sad.png shade.png  smile.png star.png  teeth.png thumbs_down.png thumbs_up.png  tongue.png unlove.png wilted_rose.png  wink.png  DESTINATION  ${SHARE_INSTALL_PREFIX}/emoticons/KMess )

=== emoticons/plain/CMakeLists.txt ===

install( FILES biggrin.png confused.png cry.png oh.png smile.png sunglasses.png tongue.png unhappy.png wink.png pig.png emoticons.xml  DESTINATION  ${SHARE_INSTALL_PREFIX}/emoticons/Plain )

=== kscreensaver/kxsconfig/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-kxsconfig.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kxsconfig.h )

########### next target ###############

set(kxsconfig_SRCS 
   kxscontrol.cpp 
   kxsitem.cpp 
   kxsxml.cpp 
   kxsconfig.cpp )


kde4_add_executable(kxsconfig ${kxsconfig_SRCS})

target_link_libraries(kxsconfig ${KDE4_KIO_LIBS} ${X11_X11_LIB} ${X11_Xt_LIB})

install(TARGETS kxsconfig  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### next target ###############

set(kxsrun_SRCS 
   kxsrun.cpp 
   kxscontrol.cpp 
   kxsitem.cpp 
   kxsxml.cpp )

kde4_add_executable(kxsrun ${kxsrun_SRCS})

target_link_libraries(kxsrun  ${KDE4_KIO_LIBS})

install(TARGETS kxsrun  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

FILE(GLOB _desktopfiles "ScreenSavers/*.desktop" )
foreach(_currentdesktopfile ${_desktopfiles})
	STRING(REGEX REPLACE ".desktop" "" _newitem "${_currentdesktopfile}" )
	#MESSAGE(STATUS "newItem <${_newitem}>")
	GET_FILENAME_COMPONENT(_screensaverName ${_newitem} NAME_WE)
	#MESSAGE(STATUS "name without extension <${_screensaverName}>")
	find_file(XSCREENSAVER_FILE_FOUND ${_screensaverName}.xml PATHS ${XSCREENSAVER_CONFIG_DIR} )
	if(XSCREENSAVER_FILE_FOUND)
		MESSAGE(STATUS "xscreensaver name ${_screensaverName} found")
		install(FILES ${_currentdesktopfile} DESTINATION  ${SERVICES_INSTALL_DIR}/ScreenSavers )
	else(XSCREENSAVER_FILE_FOUND)
		MESSAGE(STATUS "xscreensaver name ${_screensaverName} not found")
	endif(XSCREENSAVER_FILE_FOUND)
endforeach(_currentdesktopfile ${_desktopfiles})

=== kwin-styles/glow/themes/square/CMakeLists.txt ===

install( FILES background.png  help.png help_glow.png  close.png close_glow.png  iconify.png iconify_glow.png  maximizeoff.png maximizeoff_glow.png  maximizeon.png maximizeon_glow.png  stickyon.png stickyon_glow.png  stickyoff.png stickyoff_glow.png  square.theme  DESTINATION  ${DATA_INSTALL_DIR}/kwin/glow-themes/square )

=== debian/changelog ===
kdeartwork (4:4.4.5-1) unstable; urgency=low

  [ Modestas Vainius ]
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.5.

  [ Sune Vuorela ]
  * Update Descriptions
  * Update email address

 -- Sune Vuorela <sune@debian.org>  Sun, 18 Jul 2010 12:21:04 +0200

kdeartwork (4:4.4.4-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Bump pkg-kde-tools build dependency to (>= 0.9) for HTML_INSTALL_DIR
    switch and 3.0 (quilt) source format support.
  * Switch to 3.0 (quilt) source package format and original tar.bz2
    tarballs.
  * Drop quilt from Build-Depends, no longer needed for 3.0 (quilt).
  * Remove debian/README.source. Patch support is part of source format
    now.
  * Move debian/source.lintian-overrides to debian/source/lintian-overrides.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.4.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 01 Jun 2010 01:15:12 +0300

kdeartwork (4:4.4.3-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Bump kde-sc-dev-latest build dependency to 4.4.3.
  * Release KDE SC 4.4.3 to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 01 May 2010 23:37:50 +0300

kdeartwork (4:4.4.2-2) experimental; urgency=low

  [ Modestas Vainius ]
  * Add 01_kxsconfig_fix_screensavers_lookup.diff patch to fix lookup of
    actually installed X screensavers for kxsconfig.
  * Update kscreensaver-xsavers.install: a bunch of screensaver desktop files
    are no longer installed due to fixed lookup above.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 11 Apr 2010 00:26:05 +0300

kdeartwork (4:4.4.2-1) experimental; urgency=low

  * New upstream release:
    - hopefully fixes building with binutils-gold. (Closes: #554942)

  [ Modestas Vainius ]
  * Change my email address to modax@debian.org in Uploaders field.
  * Fix Vcs-Browser URL.
  * Add cmake to Build-Depends.
  * Add kde-sc-dev-latest (>= 4:4.4.2) to Build-Depends.
  * Bump Standards-Version to 3.8.4: no changes needed.
  * Bump KDE build dependencies to 4:4.4.
  * Bump pkg-kde-tools build dependency to 0.6.4.

  [ Sune Vuorela ]
  * Add the split out xscreensaver packages to build-depends
  * Update install files

  [ Pino Toscano ]
  * Add dependency on ${misc:Depends} in all the packages.
  * Tweak descriptions a bit.

  [ José Manuel Santamaría Lema ]
  * Updated versioned replaces; kdewallpapers replaces kdebase-
    workspace-data(<< 4:4.4.0)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 09 Apr 2010 18:39:47 +0300

kdeartwork (4:4.3.4-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Lukasz Janyst:

  * Bump build depends.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove myself from Uploaders.

  +++ Changes by Modestas Vainius:

  * Make kdeartwork-theme-icon to depend on nuvola-icon-theme rather than
    kde-icons-nuvola (Closes: #559709).
  * Make kscreensaver-xsavers-webcollage depend on
    xscreensaver-screensaver-webcollage.
  * Make kscreebsaver-xsavers package depend on
    xscreensaver-screensaver-bsod.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 10 Dec 2009 02:18:10 +0200

kdeartwork (4:4.3.2-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Karl Ferdinand Ebert:

  * Add source.lintian-overrides to ignore lintian warning about missing
    debug depends. 

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 10 Oct 2009 19:24:41 +0200

kdeartwork (4:4.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 12 Sep 2009 16:17:58 +0200

kdeartwork (4:4.3.0-4) unstable; urgency=low

  +++ Changes by Pino Toscano:

  * Split the Nuvola icon theme in an own nuvola-icon-theme package.
  * Add a transitional kde-icons-nuvola for easy upgrade from KDE 3.
  * Make kdeartwork-theme-icon a metapackage installing all the icon themes
    available in kdeartwork.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Bump Standard-Version from 3.8.2 to 3.8.3, no changes required.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 21 Aug 2009 23:17:11 +0200

kdeartwork (4:4.3.0-3) unstable; urgency=low

  +++ Changes by Modestas Vainius:

  * Add epoch to the kdebase-workspace-data version in kdewallpapers Replaces
    (really closes: #540036).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 06 Aug 2009 15:04:47 +0300

kdeartwork (4:4.3.0-2) unstable; urgency=low

  +++ Changes by Modestas Vainius:

  * Add kdebase-workspace-data from KDE 4.2 to kdewallpapers Replaces (due to
    Blue_Curl wallpapers) (Closes: #540036).
  * Add myself to Uploaders.

  +++ Changes by Ana Beatriz Guerrero Lopez:
  
  * Small fixes in debian/copyright, copyright blurb.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 05 Aug 2009 20:12:30 +0200

kdeartwork (4:4.3.0-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Ana Beatriz Guerrero Lopez:
  
  * Bump KDE build depends to 4:4.3.0.
  * Bump Standard-Version from 3.8.0 to 3.8.2, no changes needed.
  * Update installed files.
  * Remove superfluous section fields in debian/control.
  * Update debian/copyrights: years and copyright word.

  +++ Changes by Didier Raboud:

  * kscreensaver: Fix a spelling mistake in Description to point to the right
    package (_k_screensaver-xsavers). (Closes: #534232)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 04 Aug 2009 09:05:08 +0200

kdeartwork (4:4.2.4-1) unstable; urgency=low

  * New upstream release.
    - Remove the 01_fix_qreals_on_arm.diff patch, merged upstream.

  +++ Changes by Martin Alfke:

  * Add package kdeartwork-dbg (Closes: #502437)

 -- Sune Vuorela <debian@pusling.com>  Sat, 30 May 2009 22:24:16 +0200

kdeartwork (4:4.2.2-2) unstable; urgency=low



=== debian/control ===
Source: kdeartwork
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>, Michael Casadevall <mcasadevall@debian.org>, Modestas Vainius <modax@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.4.5),
 cdbs (>= 0.4.51), cmake, debhelper (>= 7), pkg-kde-tools (>= 0.9),
 kdebase-workspace-dev (>= 4:4.4), libxt-dev, libstreamanalyzer-dev (>= 0.6.3),
 xscreensaver, xscreensaver-data, xscreensaver-data-extra, xscreensaver-gl, xscreensaver-gl-extra, 
 libqt4-opengl-dev, libeigen2-dev, xscreensaver-screensaver-bsod,
 xscreensaver-screensaver-webcollage
Standards-Version: 3.8.4
Homepage: http://www.kde.org/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kdeartwork/#_trunk_packages_kdeartwork_
Vcs-Svn: svn://svn.debian.org/pkg-kde/trunk/packages/kdeartwork

Package: kdeartwork
Architecture: all
Depends: ${misc:Depends}, kdeartwork-emoticons (>= ${source:Version}),
 kdeartwork-style (>= ${source:Version}), kdeartwork-theme-icon (>= ${source:Version}) | kdelibs-data,
 kdewallpapers (>= ${source:Version}), kscreensaver (>= ${source:Version}),
 plasma-desktopthemes-artwork (>= ${source:Version})
Replaces: kdeartwork-misc
Description: themes, styles and other artwork from the official KDE release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This metapackage includes a collection of additional artwork provided with the
 official release of KDE.

Package: kdeartwork-emoticons
Architecture: all
Depends: ${misc:Depends}
Description: emoticon collections for chat clients
 This package contains several collections of emoticons for chat clients,
 such as Kopete and Konversation.
 .
 This package is part of the KDE artwork module.


Package: kdewallpapers
Architecture: all
Depends: ${misc:Depends}
Suggests: kde-window-manager | x-window-manager
Replaces: kdebase-workspace-data (<< 4:4.4.0)
Description: wallpapers released with KDE Plasma Workspaces
 This package contains additional wallpapers for KDE Plasma Workspaces.
 .
 This package is part of the KDE artwork module.


Package: kdeartwork-theme-icon
Depends: ${misc:Depends}, nuvola-icon-theme (>= ${source:Version})
Architecture: all
Description: additional icon themes
 This metapackage installs additional icon themes for KDE.
 .
 This package is part of the KDE artwork module.

Package: kde-icons-nuvola
Architecture: all
Depends: ${misc:Depends}, nuvola-icon-theme
Description: transitional package for Nuvola icon theme
 Transitional package for ease upgrading from Nuvola icons as shipped
 in KDE 3 series.

Package: nuvola-icon-theme
Section: x11
Architecture: all
Depends: ${misc:Depends}
Replaces: kde-icons-nuvola (<< 4:4.0.0), kdeartwork-theme-icon (<= 4:4.3.0-3)
Conflicts: kde-icons-nuvola (<< 4:4.0.0), kdeartwork-theme-icon (<= 4:4.3.0-3)
Description: Nuvola icon theme
 This package contains the Nuvola icon theme for KDE.
 .
 Nuvola follows the freedesktop.org icon schemes, so it can be used in other
 desktop environments using this specification.
 .
 This package is part of the KDE artwork module.

Package: kdeartwork-theme-window
Architecture: any
Depends: ${misc:Depends}
Description: window decoration for the K Window manager (KWin)
 This package contains additional window decorations for K Window Manager
 .
 This package is part of the KDE artwork module.


Package: kdeartwork-style
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: widget styles for applications using Qt or KDE Development Platform
 Currently it provides the following themes:
  * phase
 .
 This package is part of the KDE artwork module.


Package: kscreensaver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdebase-workspace-bin
Recommends: kde-window-manager, kscreensaver-xsavers (= ${binary:Version})
Description: Additional screensavers for KScreenSaver
 This package contains screensavers for KScreenSaver.
 .
 KScreenSaver can use XScreenSaver collection of screensavers with the
 'kscreensaver-xsavers' package.
 .
 This package is part of the KDE artwork module.


Package: kscreensaver-xsavers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdebase-workspace-bin, xscreensaver-data, xscreensaver-data-extra, xscreensaver-screensaver-bsod
Recommends: kde-window-manager, kscreensaver (= ${binary:Version}), xscreensaver-gl, xscreensaver-gl-extra
Suggests: kscreensaver-xsavers-webcollage (= ${source:Version})
Description: xscreensaver support for KScreenSaver
 This package allows KScreenSaver to use the XScreenSaver collection of screensavers.
 .
 This package is part of the KDE artwork module.


Package: kscreensaver-xsavers-webcollage
Architecture: all
Depends: ${misc:Depends}, kscreensaver-xsavers (>= ${source:Version}), xscreensaver-screensaver-webcollage, miscfiles, netpbm
Description: webcollage screensaver support for KScreenSaver
 This package allows KScreenSaver to use the WebCollage screensaver, which downloads
 random pictures from the internet to create a collage.
 .
 IMPORTANT NOTICE: The internet contains all kinds of pictures, some of which
 might be found inappropriate or offensive.
 It is recommended that this screensaver not be used a public environment,
 workplace, or where it may be seen by children.
 .
 Please read /usr/share/doc/kscreensaver-xsavers-webcollage/README.Debian
 after installing this package.
 .
 This package is part of the KDE artwork module.


Package: plasma-desktopthemes-artwork
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdeplasma-addons-data (<< 4:4.1.87)
Description: desktop themes for KDE Plasma Workspaces
 This package include several desktops theme to change Plasma look and feel
 .
 This package is part of the KDE artwork module.

Package: kdeartwork-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kdeartwork (= ${source:Version})
Description: debugging symbols for kdeartwork
 This package contains the debugging files associated with kdeartwork.
 They will automatically be used by gdb for debugging kdeartwork-related
 issues.
 .
 This package is part of the KDE artwork module.

## kdeartwork 4.5.1

=== debian/changelog ===
kdeartwork (4:4.5.1-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Bump kde-sc-dev-latest to 4.5.0

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Mon, 30 Aug 2010 19:36:47 +0200

kdeartwork (4:4.5.0b-0ubuntu1) maverick; urgency=low

  * New tar from upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Aug 2010 23:20:01 +0100

kdeartwork (4:4.5.0-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Bump kde-sc-dev-latest to 4.5.0
    - Bump kdebase-workspace-dev to 4.5.0

 -- Stephen Stalcup <vorian@ubuntu.com>  Sun, 01 Aug 2010 06:35:54 -0600

kdeartwork (4:4.4.92-0ubuntu1) maverick; urgency=low

  [ Rohan Garg ]
  * New upstream release
    - Bump kde-sc-dev-latest to 4.4.92

  [ Jonathan Riddell ]
  * kdewallpapers replaces old kdebase-workspace-wallpapers

 -- Rohan Garg <rohangarg@ubuntu.com>  Sat, 10 Jul 2010 03:56:22 +0530

kdeartwork (4:4.4.90-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Bump kde-sc-dev-latest to 4.4.90

 -- Rohan Garg <rohan16garg@gmail.com>  Sat, 26 Jun 2010 04:05:13 +0530

kdeartwork (4:4.4.85-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Bumped kde-sc-dev-latest to 4.4.85
  * Add usr/share/kde4/apps/desktoptheme/slim-glow/icons/notification.svgz
    to install file

 -- Rohan Garg <rohan16garg@gmail.com>  Mon, 07 Jun 2010 17:49:17 +0530

kdeartwork (4:4.4.80-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Bump kde-sc-dev-latest to 4.4.80
  * Remove README.source
  * Add aurorae-themes-artwork.install file to install new aurorae windeco
  * Add aurorae-themes-artwork package to control file
  * Switched to source format 3.0
  * Bumped debhelper to version 7.3.16

 -- Rohan Garg <rohan16garg@gmail.com>  Tue, 25 May 2010 21:31:28 +0530

kdeartwork (4:4.4.3-1ubuntu2) maverick; urgency=low

  * Fix kscreensaver-xsavers-webcollage.install to use .desktop file from source dir

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 24 May 2010 12:12:03 +0000

kdeartwork (4:4.4.3-1ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, reminaing changes:
    - Don't build-dep on xscreensaver-data-extra, xscreensaver-gl-extra (in universe)
    - Don't build-dep on xscreensaver-screensaver-bsod and xscreensaver-screensaver-webcollage are not in archive
    - Add section kde in all package
    - kscreensaver-xsavers not depends on xscreensaver-data-extra
    - kscreensaver-xsavers not recommends xscreensaver-gl-extra
    - Add kscreensaver-xsavers-extra package
    - Make kscreensaver-xsavers-webcollage depend on kscreensaver-xsavers-extra
    - Add 001_cmake_find_xscreensaver.patch

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 20 May 2010 04:35:34 +0200

kdeartwork (4:4.4.3-0ubuntu1) lucid; urgency=low

  * New upstream release
    - bump build depends

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 04 May 2010 09:46:58 +0100

kdeartwork (4:4.4.2-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-dep versions

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 27 Mar 2010 22:35:04 +0100

kdeartwork (4:4.4.1-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-dep versions

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 28 Feb 2010 22:20:03 +0100

kdeartwork (4:4.4.0-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-dep versions

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Thu, 04 Feb 2010 20:10:19 -0500

kdeartwork (4:4.3.98-0ubuntu1) lucid; urgency=low

  [ Christian Mangold ]
  * New upstream release candidate

  [ Alessandro Ghersi ]
  * Bump Qt to 4.6.1
    - Bump build dep versions

 -- Christian Mangold <neversfelde@ubuntu.com>  Mon, 01 Feb 2010 23:33:03 +0100

kdeartwork (4:4.3.95-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-deps
    - Update kscreensaver-xsavers.install
    - kscreensaver replaces kscreensaver-xsavers-extra (<= 4:4.3.95)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 20 Jan 2010 23:21:16 +0100

kdeartwork (4:4.3.90-0ubuntu1) lucid; urgency=low

  * New upstream release candidate:
    - Bump build-depend versions
    - Update plasma-themes-artwork.install

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 07 Jan 2010 09:36:13 -0500

kdeartwork (4:4.3.85-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Bump build-depend versions

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 18 Dec 2009 23:30:38 -0500

kdeartwork (4:4.3.80-0ubuntu1) lucid; urgency=low

  [ Christian Mangold ]
  * New upstream beta release:
    - Bump KDE build-deps to 4.3.80
    - Update plasma-desktopthemes-artwork.install

  [ Alessandro Ghersi ]
  * Update kscreensaver.install

  [ Scott Kitterman ]
  * Change Debian information in Vcs-* fields in debian/control for Kubuntu

 -- Scott Kitterman <scott@kitterman.com>  Mon, 07 Dec 2009 21:53:56 -0500

kdeartwork (4:4.3.3-0ubuntu1) lucid; urgency=low

  * New upstream release
  * Merge with Debian testing remaining changes:
    - Keep 001_cmake_find_xscreensaver.patch
    - Don't build-dep on xscreensaver-data-extra, xscreensaver-gl-extra (in universe)
    - Keep our -kde4 package conflicts/replaces
    - Add section kde in all package
    - In nuvola-icon-theme add kdeartwork-theme-icon-kde in Conflicts/Replaces
    - kscreensaver-xsavers not depends on xscreensaver-data-extra
    - kscreensaver-xsavers not recommends xscreensaver-gl-extra
    - Add kscreensaver-xsavers-extra package
    - Make kscreensaver-xsavers-webcollage depend on kscreensaver-xsavers-extra
    - Make -webcollage use source .desktop file in kscreensaver-xsavers-webcollage.install
  * Rename 001_cmake_find_xscreensaver.patch to kubuntu_01_cmake_find_xscreensaver.patch

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 12 Nov 2009 03:44:18 +0100

kdeartwork (4:4.3.2-0ubuntu1) karmic; urgency=low

  * New upstream release
  * debian/control:
    - Bump KDE build-deps to 4.3.2


## kdeartwork 4.5.5

=== debian/changelog ===
kdeartwork (4:4.5.5-0ubuntu2) maverick-proposed; urgency=low

  * Update to fina 4.5 version per micro-release exception (LP:  #757065)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 11 Apr 2011 01:52:25 -0400

kdeartwork (4:4.5.5-0ubuntu1ppa1) maverick; urgency=low

  * New upstream release

 -- Stephen Stalcup <vorian@ubuntu.com>  Thu, 06 Jan 2011 12:37:42 -0700

kdeartwork (4:4.5.4-0ubuntu1~maverick1~ppa1) maverick; urgency=low

  * New upstream release, PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 01 Dec 2010 12:15:36 +0000

kdeartwork (4:4.5.3-0ubuntu1~maverick1~ppa1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Nov 2010 18:44:32 +0000

kdeartwork (4:4.5.2-0ubuntu1~ppa1) maverick; urgency=low

  * PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Oct 2010 21:21:44 +0000

kdeartwork (4:4.5.2-0ubuntu1) UNRELEASED; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Oct 2010 21:21:28 +0000

=== debian/control ===
Source: kdeartwork
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>, Michael Casadevall <mcasadevall@debian.org>, Modestas Vainius <modax@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.5.1),
 cdbs (>= 0.4.51), cmake, debhelper (>= 7.3.16), quilt, pkg-kde-tools (>= 0.6.4),
 kdebase-workspace-dev (>= 4:4.5), libxt-dev, libstreamanalyzer-dev (>= 0.6.3),
 xscreensaver, xscreensaver-data, xscreensaver-gl,
 libqt4-opengl-dev, libeigen2-dev
Standards-Version: 3.8.4
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kdeartwork/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kdeartwork/ubuntu

Package: kdeartwork
Architecture: all
Depends: ${misc:Depends}, kdeartwork-emoticons (>= ${source:Version}),
 kdeartwork-style (>= ${source:Version}), kdeartwork-theme-icon (>= ${source:Version}) | kdelibs-data,
 kdewallpapers (>= ${source:Version}), kscreensaver (>= ${source:Version}),
 plasma-desktopthemes-artwork (>= ${source:Version}), aurorae-themes-artwork (>= ${source:Version})
Replaces: kdeartwork-misc
Description: themes, styles and other artwork from the official KDE release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This metapackage includes a collection of additional artwork provided with the
 official release of KDE.

Package: kdeartwork-emoticons
Architecture: all
Depends: ${misc:Depends}
Section: kde
Description: emoticon collections for KDE chat clients
 This package contains several collections of emoticons for KDE chat clients,
 such as Kopete and Konversation.
 .
 This package is part of the KDE artwork module.


Package: kdewallpapers
Architecture: all
Section: kde
Suggests: kde-window-manager | x-window-manager
Replaces: kdebase-workspace-data (<< 4:4.4.60), kdebase-workspace-wallpapers (<< 4:4.4.90)
Description: wallpapers released with KDE
 This package contains additional wallpapers for KDE.
 .
 This package is part of the KDE artwork module.


Package: kdeartwork-theme-icon
Depends: ${misc:Depends}, nuvola-icon-theme (>= ${source:Version})
Architecture: all
Section: kde
Description: icon themes released with KDE
 This metapackage installs additional icon themes for KDE.
 .
 This package is part of the KDE artwork module.

Package: kde-icons-nuvola
Architecture: all
Depends: ${misc:Depends}, nuvola-icon-theme
Description: transitional package for Nuvola icon theme
 Transitional package for ease upgrading from Nuvola icons as shipped
 in KDE 3 series.

Package: nuvola-icon-theme
Section: x11
Architecture: all
Depends: ${misc:Depends}
Replaces: kde-icons-nuvola (<< 4:4.0.0), kdeartwork-theme-icon (<= 4:4.3.2)
Conflicts: kde-icons-nuvola (<< 4:4.0.0), kdeartwork-theme-icon (<= 4:4.3.2)
Description: Nuvola icon theme
 This package contains the Nuvola icon theme for KDE 4.
 .
 Nuvola follows the freedesktop.org icon schemes, so it can be used in other
 desktop environments using this specification.
 .
 This package is part of the KDE artwork module.

Package: kdeartwork-theme-window
Architecture: any
Depends: ${misc:Depends}
Section: kde
Description: window decoration themes released with KDE
 This package contains additional window decoration themes for KDE.
 .
 This package is part of the KDE artwork module.


Package: kdeartwork-style
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: widget styles released with KDE
 This package contains additional widget styles for KDE.
 .
 Currently it provides the following themes:
  * phase
 .
 This package is part of the KDE artwork module.

Package: kscreensaver
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}, kdebase-workspace-bin
Recommends: kde-window-manager, kscreensaver-xsavers (= ${binary:Version})
Description: Additional screensavers released with KDE
 This package contains screensavers for KDE.
 .
 KScreenSaver can use XScreenSaver collection of screensavers with the
 'kscreensaver-xsavers' package.
 .
 This package is part of the KDE artwork module.


Package: kscreensaver-xsavers
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}, kdebase-workspace-bin, xscreensaver-data
Recommends: kde-window-manager, kscreensaver (= ${binary:Version}), xscreensaver-gl
Suggests: kscreensaver-xsavers-webcollage (= ${source:Version})
Description: xscreensaver support for KDE
 This package allows KDE to use the XScreenSaver collection of screensavers.
 .
 The official KDE screensavers can be found in the 'kscreensaver' package.
 .
 This package is part of the KDE artwork module.

Package: kscreensaver-xsavers-extra
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, kdebase-workspace-bin, kscreensaver-xsavers, xscreensaver-data, xscreensaver-data-extra
Recommends: kde-window-manager, kscreensaver (= ${binary:Version}), xscreensaver-gl, xscreensaver-gl-extra
Suggests: kscreensaver-xsavers-webcollage (= ${source:Version})
Description: universe xscreensaver support for KDE 4
 This package allows KDE to use the "extra" XScreenSaver collection
 of screensavers from universe.
 .
 The official KDE screensavers can be found in the 'kscreensaver' package.
 .
 This package is part of the KDE artwork module.

Package: kscreensaver-xsavers-webcollage
Architecture: all
Section: kde
Depends: ${misc:Depends}, kscreensaver-xsavers-extra (>= ${source:Version}), miscfiles, netpbm
Description: webcollage screensaver support for KDE
 This package allows KDE to use the WebCollage screensaver, which downloads
 random pictures from the internet to create a collage.
 .
 IMPORTANT NOTICE: The internet contains all kinds of pictures, some of which
 might be found inappropriate or offensive.
 It is recommended that this screensaver not be used a public environment,
 workplace, or where it may be seen by children.
 .
 Please read /usr/share/doc/kscreensaver-xsavers-webcollage/README.Debian
 after installing this package.
 .
 This package is part of the KDE artwork module.


Package: plasma-desktopthemes-artwork
Architecture: all
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdeplasma-addons-data (<< 4:4.1.87)
Description: desktop themes for KDE
 This package include several desktops theme to change plasma colours
 settings.
 .
 This package is part of the KDE artwork module.

Package: aurorae-themes-artwork
Architecture: all
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Themes for the Aurorae KWin decoration engine
 This package include several Aurorae themes to change window border
 styles.
 .
 This package is part of the KDE artwork module.

Package: kdeartwork-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kdeartwork (= ${source:Version})
Description: debugging symbols for kdeartwork
 This package contains the debugging files associated with kdeartwork.
 They will automatically be used by gdb for debugging kdeartwork-related
 issues.
 .
 This package is part of the KDE artwork module.

## kdeartwork 4.6.2

=== debian/changelog ===
kdeartwork (4:4.6.2-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Apr 2011 15:26:02 +0000

kdeartwork (4:4.6.1-0ubuntu2) natty; urgency=low

  * Set WITH_OpenGL=OFF for ARM, don't build-dep on Qt openGL on ARM,
    add debian/kscreensaver.install.armel file to change installed files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 24 Mar 2011 12:47:56 +0000

kdeartwork (4:4.6.1-0ubuntu1) natty; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 28 Feb 2011 17:05:07 +0100

kdeartwork (4:4.6.0-0ubuntu2) UNRELEASED; urgency=low

  * Update kde-sc-dev-latest version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Jan 2011 11:40:34 +0000

kdeartwork (4:4.6.0-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jan 2011 16:28:38 +0000

kdeartwork (4:4.5.95-0ubuntu3) natty; urgency=low

  * kdewallpapers replaces kdebase-workspace-data

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Jan 2011 11:39:37 +0000

kdeartwork (4:4.5.95-0ubuntu2) natty; urgency=low

  [ Philip Muskovac ]
  * kdewallpapers replaces kdebase-workspace-wallpapers (<< 4:4.5.95)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Jan 2011 10:47:38 +0000

kdeartwork (4:4.5.95-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Philip Muskovac <yofel@gmx.net>  Thu, 06 Jan 2011 17:20:29 +0100

kdeartwork (4:4.5.90-0ubuntu1) natty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 22 Dec 2010 18:51:45 +0000

kdeartwork (4:4.5.85-0ubuntu1) natty; urgency=low

  * New upstream beta release
  * kdeartwork-theme-window replaces kde-window-manager (<< 4:4.5.80)
  * Add libkexiv2-dev to build-depends
  * update plasma-desktopthemes-artwork.install

 -- Philip Muskovac <yofel@gmx.net>  Sat, 04 Dec 2010 18:38:49 +0100

kdeartwork (4:4.5.80-0ubuntu4) natty; urgency=low

  * kdeartwork-theme-window replaces aurorae-themes-artwork
  * kdeartwork-dbg replaces kdebase-workspace-dbg (<< 4:4.5.80)

 -- Philip Muskovac <yofel@gmx.net>  Wed, 01 Dec 2010 16:41:36 +0100

kdeartwork (4:4.5.80-0ubuntu3) natty; urgency=low

  [ Philip Muskovac ]
  * remove fiberlamp, glcells and glschool from kscreensaver-xsavers-extra
    since they moved to kscreensaver-xsavers (LP: #682467)

  [ Jonathan Riddell ]
  * Sync kscreensaver-xsavers-extra.install with contents of
    xscreensaver-gl-extra and xscreensaver-data-extra

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 30 Nov 2010 18:29:23 +0000

kdeartwork (4:4.5.80-0ubuntu2) natty; urgency=low

  * kdeartwork-dbg conflicts/replaces kdebase-workspace-dbg (<< 4:4.5.80)
  * kdeartwork-theme-window conflicts/replaces kde-window-manager (<< 4:4.5.80)

 -- Philip Muskovac <yofel@gmx.net>  Sun, 28 Nov 2010 16:51:09 +0100

kdeartwork (4:4.5.80-0ubuntu1) natty; urgency=low

  * New upstream beta release
  * kdeartwork-theme-window now arch any for new binary plugins

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 25 Nov 2010 17:39:39 +0000

kdeartwork (4:4.5.80-0ubuntu1~ppa1) natty; urgency=low

  * New upstream beta release
  * kdeartwork-theme-window now arch any for new binary plugins

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 25 Nov 2010 17:39:39 +0000

kdeartwork (4:4.5.2-0ubuntu1) natty; urgency=low

  [ Alessandro Ghersi ]
  * Merge with Debian git remaining changes:
    - Don't add xscreensaver-data-extra, xscreensaver-gl-extra
      xscreensaver-screensaver-bsod and xscreensaver-screensaver-webcollage
      build-dependencies (Universe)
    - Add section kde in all packages
    - kscreensaver-xsavers not depends on xscreensaver-data-extra
    - kscreensaver-xsavers not recommends xscreensaver-gl-extra
    - Add kscreensaver-xsavers-extra package
    - Make kscreensaver-xsavers-webcollage depend on kscreensaver-xsavers-extra
    - Keep kubuntu_01_cmake_find_xscreensaver.patch

  [ Jonathan Riddell ]
  * New upstream release

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Mon, 18 Oct 2010 00:21:57 +0200

kdeartwork (4:4.5.1-0r2) UNRELEASED; urgency=low

  [ Modestas Vainius ]
  * Point debian/control Vcs fields to the new Git repository.

  [ Pino Toscano ]
  * Change the or'ed kdelibs-data (kde3) dependency of kdeartwork to
    kdelibs5-data (kde4). (Closes: #591616)

  [ George Kiagiadakis ]
  * Add myself to uploaders.
  * Update installed files.
  * Make kdeartwork-theme-window an arch: all package.
  * Bump build dependency on kdebase-workspace-dev to version 4:4.5.
  * Update replaces: kdewallpapers replaces kdebase-workspace-data << 4:4.5.0.
  * Make the kdeartwork metapackage also depend on kdeartwork-theme-window.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 01 Sep 2010 23:03:08 +0300

=== debian/control ===
Source: kdeartwork
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>,
 Michael Casadevall <mcasadevall@debian.org>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.6.1),
 cdbs (>= 0.4.51), cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.9),
 kdebase-workspace-dev (>= 4:4.5), libxt-dev, libstreamanalyzer-dev (>= 0.6.3),
 xscreensaver, xscreensaver-data, xscreensaver-gl,
 libqt4-opengl-dev [!armel], libeigen2-dev, libkexiv2-dev
Standards-Version: 3.8.4
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kdeartwork/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kdeartwork/ubuntu

Package: kdeartwork
Architecture: all
Depends: ${misc:Depends}, kdeartwork-emoticons (>= ${source:Version}),
 kdeartwork-style (>= ${source:Version}), kdeartwork-theme-icon (>= ${source:Version}) | kdelibs5-data,
 kdewallpapers (>= ${source:Version}), kscreensaver (>= ${source:Version}),
 plasma-desktopthemes-artwork (>= ${source:Version}), kdeartwork-theme-window (>= ${source:Version})
Replaces: kdeartwork-misc
Description: themes, styles and other artwork from the official KDE release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This metapackage includes a collection of additional artwork provided with the
 official release of KDE.

Package: kdeartwork-emoticons
Architecture: all
Depends: ${misc:Depends}
Section: kde
Description: emoticon collections for chat clients
 This package contains several collections of emoticons for chat clients,
 such as Kopete and Konversation.
 .
 This package is part of the KDE artwork module.


Package: kdewallpapers
Architecture: all
Depends: ${misc:Depends}
Section: kde
Suggests: kde-window-manager | x-window-manager
Replaces: kdebase-workspace-data (<< 4:4.5.95-0ubuntu2), kdebase-workspace-wallpapers (<< 4:4.5.95-0ubuntu2)
Description: wallpapers released with KDE Plasma Workspaces
 This package contains additional wallpapers for KDE Plasma Workspaces.
 .
 This package is part of the KDE artwork module.

Package: kdeartwork-theme-icon
Depends: ${misc:Depends}, nuvola-icon-theme (>= ${source:Version})
Architecture: all
Section: kde
Description: additional icon themes
 This metapackage installs additional icon themes for KDE.
 .
 This package is part of the KDE artwork module.

Package: kde-icons-nuvola
Architecture: all
Depends: ${misc:Depends}, nuvola-icon-theme
Description: transitional package for Nuvola icon theme
 Transitional package for ease upgrading from Nuvola icons as shipped
 in KDE 3 series.

Package: nuvola-icon-theme
Section: x11
Architecture: all
Depends: ${misc:Depends}
Replaces: kde-icons-nuvola (<< 4:4.0.0), kdeartwork-theme-icon (<= 4:4.3.2)
Conflicts: kde-icons-nuvola (<< 4:4.0.0), kdeartwork-theme-icon (<= 4:4.3.2)
Description: Nuvola icon theme
 This package contains the Nuvola icon theme for KDE.
 .
 Nuvola follows the freedesktop.org icon schemes, so it can be used in other
 desktop environments using this specification.
 .
 This package is part of the KDE artwork module.

Package: kdeartwork-theme-window
Architecture: any
Depends: ${misc:Depends}
Replaces: aurorae-themes-artwork, kde-window-manager (<< 4:4.5.80)
Conflicts: aurorae-themes-artwork, kde-window-manager (<< 4:4.5.80)
Section: kde
Description: window decoration for the K Window manager (KWin)
 This package contains additional window decorations for K Window Manager
 .
 This package is part of the KDE artwork module.

Package: kdeartwork-style
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: widget styles for applications using Qt or KDE Development Platform
 Currently it provides the following themes:
  * phase
 .
 This package is part of the KDE artwork module.

Package: kscreensaver
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}, kdebase-workspace-bin
Recommends: kde-window-manager, kscreensaver-xsavers (= ${binary:Version})
Description: Additional screensavers for KScreenSaver
 This package contains screensavers for KScreenSaver.
 .
 KScreenSaver can use XScreenSaver collection of screensavers with the
 'kscreensaver-xsavers' package.
 .
 This package is part of the KDE artwork module.

Package: kscreensaver-xsavers
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}, kdebase-workspace-bin, xscreensaver-data
Recommends: kde-window-manager, kscreensaver (= ${binary:Version}), xscreensaver-gl
Suggests: kscreensaver-xsavers-webcollage (= ${source:Version})
Replaces: kscreensaver-xsavers-extra (<< 4:4.5.80-0ubuntu3~)
Description: xscreensaver support for KScreenSaver
 This package allows KScreenSaver to use the XScreenSaver collection of screensavers.
 .
 This package is part of the KDE artwork module.

Package: kscreensaver-xsavers-extra
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, kdebase-workspace-bin, kscreensaver-xsavers, xscreensaver-data, xscreensaver-data-extra
Recommends: kde-window-manager, kscreensaver (= ${binary:Version}), xscreensaver-gl, xscreensaver-gl-extra
Suggests: kscreensaver-xsavers-webcollage (= ${source:Version})
Description: universe xscreensaver support
 This package allows KDE to use the "extra" XScreenSaver collection
 of screensavers from universe.
 .
 The official screensavers can be found in the 'kscreensaver' package.
 .
 This package is part of the KDE artwork module.

Package: kscreensaver-xsavers-webcollage
Architecture: all
Section: kde
Depends: ${misc:Depends}, kscreensaver-xsavers-extra (>= ${source:Version}), miscfiles, netpbm
Description: webcollage screensaver support for KScreenSaver
 This package allows KScreenSaver to use the WebCollage screensaver, which downloads
 random pictures from the internet to create a collage.
 .
 IMPORTANT NOTICE: The internet contains all kinds of pictures, some of which
 might be found inappropriate or offensive.
 It is recommended that this screensaver not be used a public environment,
 workplace, or where it may be seen by children.
 .
 Please read /usr/share/doc/kscreensaver-xsavers-webcollage/README.Debian
 after installing this package.
 .
 This package is part of the KDE artwork module.

Package: plasma-desktopthemes-artwork
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdeplasma-addons-data (<< 4:4.1.87)
Description: desktop themes for KDE Plasma Workspaces
 This package include several desktops theme to change Plasma look and feel
 .
 This package is part of the KDE artwork module.

Package: kdeartwork-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kdeartwork (= ${source:Version})
Replaces: kdebase-workspace-dbg (<< 4:4.5.80)
Description: debugging symbols for kdeartwork
 This package contains the debugging files associated with kdeartwork.
 They will automatically be used by gdb for debugging kdeartwork-related
 issues.
 .
 This package is part of the KDE artwork module.

=== debian/rules ===
#!/usr/bin/make -f

ifeq ($(DEB_HOST_ARCH),armel)
        DEB_CMAKE_CUSTOM_FLAGS += -DWITH_OpenGL=OFF
endif

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk
